Download a free marketplace item

POST https://api.cryptohopper.com/v1/market/downloaditem

Adds a free template or strategy from the marketplace to your account, so you can load it into your hoppers, and records it as a purchase. Downloading a template again updates your copy.

OAuth scope: read manage About scopes

Paid items cannot be bought through the API. For a paid item, or an item that is not a template or strategy, the response is still HTTP 200 with data "Marketplace item is not free to download".

Example request

curl -X POST "https://api.cryptohopper.com/v1/market/downloaditem" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "marketplace_item_id: MARKETPLACE_ITEM_ID"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.
marketplace_item_id string Required Marketplace item ID of the free template or strategy.

Response

Example response (illustrative values)

{
    "data": "The marketplace item has been bought and added to your account. You can now select and configure this item in the configuration of your hopper(s)."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.